import { InjectionToken } from '@angular/core';
import { NgbModalOptions } from '@ng-bootstrap/ng-bootstrap';
export interface NgxBootstrapDialogOptions {
    title: string;
    message?: string;
    confirmButtonLabel?: string;
    confirmButtonClass?: string;
    showConfirmButton?: boolean;
    cancelButtonLabel?: string;
    cancelButtonClass?: string;
    showCancelButton?: boolean;
    showCloseButton?: boolean;
    ngbModalOptions?: NgbModalOptions;
}
export declare class NgxBootstrapDialogAlertDeafultOptions implements NgxBootstrapDialogOptions {
    title: string;
    message: string;
    confirmButtonLabel: string;
    confirmButtonClass: string;
    showConfirmButton: boolean;
    cancelButtonLabel: string;
    cancelButtonClass: string;
    showCancelButton: boolean;
    showCloseButtons: boolean;
    ngbModalOptions: any;
}
export declare class NgxBootstrapDialogConfirmDefaultOptions extends NgxBootstrapDialogAlertDeafultOptions {
    showCancelButton: boolean;
}
export declare const NGX_BOOTSTRAP_ALERT_DEFAULT_OPTIONS: InjectionToken<Partial<NgxBootstrapDialogOptions>>;
export declare const NGX_BOOTSTRAP_CONFIRM_DEFAULT_OPTIONS: InjectionToken<Partial<NgxBootstrapDialogOptions>>;
