import { NgbModal, NgbModalRef } from '@ng-bootstrap/ng-bootstrap';
import { NgxBootstrapDialogOptions } from './ngx-bootstrap-dialog.config';
export declare class NgxBootstrapDialogService {
    private modal;
    private globalAlertDefaultOptions;
    private globalConfirmDefaultOptions;
    alertRef: NgbModalRef;
    confirmRef: NgbModalRef;
    constructor(modal: NgbModal, globalAlertDefaultOptions: NgxBootstrapDialogOptions, globalConfirmDefaultOptions: NgxBootstrapDialogOptions);
    alert(options: NgxBootstrapDialogOptions): Promise<any>;
    confirm(options: NgxBootstrapDialogOptions): Promise<any>;
    dialog(content: any, defaultOptions: NgxBootstrapDialogOptions, globalOptions: NgxBootstrapDialogOptions, options: NgxBootstrapDialogOptions): NgbModalRef;
}
